Subject: Re: bug#57035: Support for site-load.el in native-compile dumping

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 07 Aug 2022 14:55:56 +0200

Lynn Winebarger <[email-masked]> writes:

> +. Add a flag variable to turn off the docstring hack in lead.c once
> loadup has been processed (or eliminate the hack entirely).

The hack has been removed on the trunk.

> I think that covers all the issues I dealt with.  If my employer
> allows I can donate code to fix the purecopy issues in versions prior
> to 29.

As I think Eli has said before, changes in this area are not going to be
backported to earlier Emacs versions, so you should just concentrate on
Emacs 29.